<?php

/**
 * @file
 * Used to expose nodes mood to views.
 */

/**
 * Implements hook_views_data().
 */
function cmood_views_data() {
  $data = array();
  $data['node_mood']['table']['group'] = t('Node mood');
  $data['node_mood']['table']['base'] = array(
    'title' => t('Node mood'),
    'help' => t('Stores nodes with respective mood value'),
  );
  $data['node_mood']['id'] = array(
    'title' => t('ID'),
    'help' => t('The record ID.'),
    'field' => array(
      'id' => 'standard',
    ),
    'sort' => array(
      'id' => 'standard',
    ),
    'filter' => array(
      'id' => 'numeric',
    ),
  );
  $data['node_mood']['mood'] = array(
    'title' => t('Mood'),
    'help' => t('The node mood.'),
    'field' => array(
      'id' => 'standard',
    ),
    'sort' => array(
      'id' => 'standard',
    ),
    'filter' => array(
      'id' => 'string',
    ),
  );
  $data['node_mood']['table']['join'] = array(
    'node_field_data' => array(
      'left_field' => 'nid',
      'field' => 'nid',
    ),
  );
  $data['node_mood']['nid'] = array(
    'title' => t('Node ID'),
    'help' => t('The node ID.'),
    'field' => array(
      'id' => 'standard',
    ),
    'sort' => array(
      'id' => 'standard',
    ),
    'filter' => array(
      'id' => 'numeric',
    ),
    'relationship' => array(
      'base' => 'node_field_data',
      'field' => 'nid',
      'id' => 'standard',
      'label' => t('Node'),
    ),
    'argument' => array(
      'id' => 'numeric',
      'numeric' => TRUE,
      'validate type' => 'nid',
    ),
  );
  return $data;
}
